Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class AgentGroupIndex

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.AgentGroupIndex

    public class AgentGroupIndex

extends Object

Gives the index of an agent group with a probability that the agent group is selected. The index is given by the

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">index</tt>

attribute while the probability is set up using the

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">probability</tt>

attribute.

Java class for AgentGroupIndex complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AgentGroupIndex">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="index" type="{http://www.iro.umontreal.ca/lecuyer/ssj}nonNegativeInt" />
           <attribute name="probability" type="{http://www.iro.umontreal.ca/lecuyer/ssj}double01i" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Integer` | `index`
`protected Double` | `probability`

Constructor Summary
`AgentGroupIndex()`

Method Summary
`int` | `getIndex()` Gets the value of the index property.
`double` | `getProbability()` Gets the value of the probability property.
`boolean` | `isSetIndex()`
`boolean` | `isSetProbability()`
`void` | `setIndex(int value)` Sets the value of the index property.
`void` | `setProbability(double value)` Sets the value of the probability property.
`void` | `unsetIndex()`
`void` | `unsetProbability()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    protected Integer index

### probability

    protected Double probability

Constructor Detail

### AgentGroupIndex

    public AgentGroupIndex()

Method Detail

### getIndex

    public int getIndex()

  Gets the value of the index property.

  Returns:
    possible object is `Integer`

### setIndex

    public void setIndex(int value)

  Sets the value of the index property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetIndex

    public boolean isSetIndex()

### unsetIndex

    public void unsetIndex()

### getProbability

    public double getProbability()

  Gets the value of the probability property.

  Returns:
    possible object is `Double`

### setProbability

    public void setProbability(double value)

  Sets the value of the probability property.

  Parameters:
    `value` - allowed object is `Double`

### isSetProbability

    public boolean isSetProbability()

### unsetProbability

    public void unsetProbability()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.